<?php

namespace EventPortal\Http\Controllers\Delegate\Event\Form;

use EventPortal\Domain\Event\Form\Models\Form as FormModel;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\ValueObjects\PageHeader;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Domain\Util\DelegateRender;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class DisplayFormController
{
    public function __invoke(Request $request, Event $event, FormModel $formModel)
    {
//        $delegateForm = DelegateForm::make($delegate, $form);

        //Below gets the form, but only the first step, and doesn't get it as a display version
//        $form = Form::makeFromDatabase($formModel)
//            ->model(Auth::user()->delegate)
//            ->context($event)
//            ->render();

//        dd($form);

        $form = Form::makeFromDatabaseWithAllSteps($formModel)
            ->each(function ($form) use ($event) {
                $form->model(Auth::user()->delegate)->context($event)->render();
            })->toArray();

        dd($form);


        return DelegateRender::component('Delegate/Form/Show')
            ->withPageHeader(
                PageHeader::make()
                    ->title($formModel->name)
                    ->description('View your details.')
            )
            ->withData($form)
            ->get();
    }
}
