<?php

namespace EventPortal\Tests\Unit\EventDelegate;

use EventPortal\Domain\EventDelegate\ViewableStatus;
use EventPortal\Tests\TestCase;

class ViewableStatesTest extends TestCase
{
    /** @test **/
    public function can_get_all_states()
    {
        $expected = [
            'invited',
            'registering',
            'registered',
            'declining',
            'declined',
            'attended',
            'cancelled',
            'no_show',
        ];

        $this->assertSame($expected, ViewableStatus::get());
    }

    /** @test **/
    public function contains_state()
    {
        $this->assertTrue(ViewableStatus::contains('declined'));
    }

    /** @test **/
    public function does_not_contain_state()
    {
        $this->assertTrue(ViewableStatus::doesNotContain('other'));
    }
}
